# selenium.webdriver.wpewebkit.service

Classes

`Service`([executable_path, port, log_output, ...]) | A Service class that is responsible for the starting and stopping of WPEWebDriver.

class selenium.webdriver.wpewebkit.service.Service(executable_path: str = None, port: int = 0, log_output: str | None = None, service_args: List[str] | None = None, env: Mapping[str, str] | None = None, **kwargs)

  A Service class that is responsible for the starting and stopping of WPEWebDriver.

  Parameters:

    - executable_path – install path of the WPEWebDriver executable, defaults to the first WPEWebDriver in $PATH.

    - port – Port for the service to run on, defaults to 0 where the operating system will decide.

    - service_args – (Optional) List of args to be passed to the subprocess when launching the executable.

    - log_output – (Optional) File path for the file to be opened and passed as the subprocess stdout/stderr handler.

    - env – (Optional) Mapping of environment variables for the new process, defaults to os.environ.

  command_line_args() → List[str]

    A List of program arguments (excluding the executable).

  assert_process_still_running() → None

    Check if the underlying process is still running.

  is_connectable() → bool

    Establishes a socket connection to determine if the service running on the port is accessible.

  property path: str
  send_remote_shutdown_command() → None

    Dispatch an HTTP request to the shutdown endpoint for the service in an attempt to stop it.

  property service_url: str

    Gets the url of the Service.

  start() → None

    Starts the Service.

    Exceptions:

      - WebDriverException : Raised either when it can’t start the service or when it can’t connect to the service

  stop() → None

    Stops the service.